> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/reports/list-report-metadata",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List report metadata


> Get list of report metadata for the account

Scopes:
  - read:reports
  - admin:reports




## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments.yaml get /accounts/{aid}/reports/metadata
openapi: 3.0.0
info:
  title: Payments API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    Public endpoints for payments, including checkout, payout and settlement
    reports.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://checkout.dintero.com/v1
security:
  - apikey: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: example-session-callbacks
    x-displayName: Callback
    description: |
      Example of recieved callbacks from Dintero's servers.
  - name: fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
paths:
  /accounts/{aid}/reports/metadata:
    get:
      tags:
        - reports
      summary: |
        List report metadata
      description: |
        Get list of report metadata for the account

        Scopes:
          - read:reports
          - admin:reports
      operationId: api_reports_metadata_list_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/startingAfter'
      responses:
        '200':
          $ref: '#/components/responses/ReportMetadata'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      servers:
        - url: https://api.dintero.com/v1
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
    limit:
      name: limit
      in: query
      description: |
        A limit on the number of objects to be returned. Limit can range
        between 1 and 100 items, and the default is 10 items.
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    startingAfter:
      name: starting_after
      in: query
      description: |
        cursor for use in pagination. starting_after is an object ID
        that defines your place in the list. For instance, if you make
        a list request and receive 100 objects, end the result contains
          `paging_token=pt1`, your subsequent call can include
        `starting_after=pt1` in order to fetch the next page of the list.
      required: false
      schema:
        type: string
  responses:
    ReportMetadata:
      description: Report Metadata
      content:
        application/json:
          schema:
            properties:
              reports:
                type: array
                items:
                  $ref: '#/components/schemas/ReportMetadata'
              starting_after:
                $ref: '#/components/schemas/StartingAfter'
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    ReportMetadata:
      type: object
      properties:
        id:
          type: string
          description: Unique identification of the report
          readOnly: true
        report_job_id:
          type: string
          description: >-
            Unique identification for all reports created by the same
            reportconfig at the same time (with different content types)
          readOnly: true
        account_id:
          type: string
          description: Id of the report owner
          readOnly: true
        template_id:
          type: string
          description: Id of the template used to create the report
          readOnly: true
        content_type:
          type: string
          description: Report content type
          example: application/pdf
          readOnly: true
        content_language:
          type: string
          description: Report content language
          example: en
          readOnly: true
        created_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client that created the report
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: |
            The date-time when the report was created
          readOnly: true
        data_from:
          type: string
          format: date-time
          description: >
            The start of the data interval, contains created_at if data_from
            qparam not provided
          readOnly: true
        data_to:
          type: string
          format: date-time
          description: >
            The end of the data interval, contains created_at if data_to qparam
            not provided
          readOnly: true
        schedule:
          type: string
          description: Schedule for the report
          readOnly: true
        report_file_name:
          type: string
          description: |
            Name of the report file stored in S3.
          readOnly: true
        custom_report_name:
          type: string
          description: >
            Custom name of the report, defined in the report configuration used
            to generate the report
          readOnly: true
        report_config_id:
          type: string
          description: |
            Id of the report configuration used to generate the report.
          readOnly: true
        data_type:
          type: string
          description: >
            Source of the data used to generate the report. Defined by the
            report configuration used to create the report
          readOnly: true
        signed_url:
          type: string
          description: |
            Signed url used to download the report from s3
          readOnly: true
        report_filters:
          type: array
          description: >-
            List of filters used to filter the data for the report. Similar to
            SQL WHERE-clause. i.e, WHERE filter=value
          items:
            $ref: '#/components/schemas/ReportFilter'
    StartingAfter:
      type: string
      description: |
        cursor for use in pagination. starting_after is an object ID
        that defines your place in the list. For instance, if you make
        a list request and receive 100 objects, ending with `obj_foo`,
        your subsequent call can include `starting_after=obj_foo`
        in order to fetch the next page of the list.
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    ReportFilter:
      type: object
      properties:
        filter:
          type: string
          enum:
            - operation_payout_destination
            - store_id
          description: The "field/column" the data will be filtered on
        value:
          type: string
          description: >-
            The value the records must contain for the provided filter
            (field/column)
  securitySchemes:
    apikey:
      type: apiKey
      in: header
      description: |
        X-API-Key authentication for accessing regular endpoints. Use
        [Create api-key](#operation/admin_api_keys_post) to create a key.

        The content of the header should look like the following:

            x-api-key: {api_key}
      name: x-api-key

````